Chains
Cette page n'est pas disponible en français. La version anglaise est affichée.
Get Chain Details
Authorization
appToken readAuthorizationBearer <token>
App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.
In: header
Scope: read
Path Parameters
nodeId*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/nodes/string"{ "nodeId": "string", "userId": "string", "level": 0, "children": [ {} ], "parents": [ { "userId": "string", "profileId": "string", "profile": { "profileId": "string", "firstName": "string", "lastName": "string", "middleName": "string", "countryNumericCode": "string", "enabled": true, "contacts": [ { "contactId": "string", "key": "email", "value": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string" } ], "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string" }, "groupId": "string", "group": { "groupId": "string", "name": "string", "formula": "string", "levels": [ { "levelId": "string", "groupId": "string", "level": 0, "formulaValue": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string" } ], "tiers": [ { "tierId": "string", "groupId": "string", "name": "string", "ratio": "string", "users": 0, "volume": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string" } ], "dealLevelCommission": false, "selfRebate": false, "selfRebateRatio": "100", "registration": "auto", "restrictionId": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string", "verification": true, "approvalPolicy": { "mode": "nobody", "countries": [ "string" ] } }, "enabled": true, "master": true, "masterMaxLevel": 0, "masterRatio": "string", "ratio": "string", "selfRebate": true, "selfRebateRatio": "string", "protection": true, "tag": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string" } ], "visibleClients": 0, "createTime": "2019-08-24T14:15:22Z"}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}